1.0
1.0
get /v1/server-types
Description
List Server Types.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | name optional | Server type name Example : | any of [string, null] | None |
| query | product_image_type optional | Product image type Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerTypeListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/server-types
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = sqlserver 1.0"
Example HTTP response
Response 200
{
"contents": [
{
"cpu_core": "",
"description": "",
"memory_gb": "",
"name": "",
"product_image_type": "",
"product_type": "",
"purpose": "",
"type": ""
}
]
}